Debian Bug report logs - #700119
kbd: please update config.guess and config.sub for arm64

version graph

Package: kbd; Maintainer for kbd is Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>; Source for kbd is src:kbd.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Sat, 9 Feb 2013 00:18:01 UTC

Severity: normal

Tags: patch

Found in version kbd/1.15.3-9

Fixed in version kbd/1.15.5-1

Done: Michael Schutte <michi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>:
Bug#700119; Package kbd. (Sat, 09 Feb 2013 00:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>. (Sat, 09 Feb 2013 00:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: kbd: please update config.guess and config.sub for arm64
Date: Sat, 9 Feb 2013 00:14:57 +0000
Package: kbd
Version: 1.15.3-9
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertags: arm64

Please update config.guess and config.sub to a current version from
autotools-dev to support the arm64 architecture (aarch64-linux-gnu).  A
patch follows in case it helps.

I used the autotools-dev debhelper addons for this since that kind of
thing is less hassle than explicitly creating a patch for 3.0 (quilt)
sources, but you may like to consider using dh-autoreconf instead.  I've
been converting my packages to it and have found it a great improvement.

  * Use autotools-dev to update config.guess and config.sub automatically.

diff -Nru kbd-1.15.3/debian/control kbd-1.15.3/debian/control
--- kbd-1.15.3/debian/control	2012-04-29 08:36:13.000000000 +0100
+++ kbd-1.15.3/debian/control	2013-02-09 00:08:22.000000000 +0000
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
 Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9), autoconf, automake, linuxdoc-tools, gettext, flex, bison
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9), autoconf, automake, linuxdoc-tools, gettext, flex, bison, autotools-dev (>= 20100122.1)
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/git/pkg-kbd/kbd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kbd/kbd.git
diff -Nru kbd-1.15.3/debian/rules kbd-1.15.3/debian/rules
--- kbd-1.15.3/debian/rules	2012-04-28 10:16:22.000000000 +0100
+++ kbd-1.15.3/debian/rules	2013-02-09 00:08:00.000000000 +0000
@@ -24,7 +24,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with autotools-dev
 
 override_dh_auto_clean:
 	dh_auto_clean

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Reply sent to Michael Schutte <michi@debian.org>:
You have taken responsibility. (Sun, 17 Feb 2013 19:03:51 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Sun, 17 Feb 2013 19:03:51 GMT) Full text and rfc822 format available.

Message #10 received at 700119-close@bugs.debian.org (full text, mbox):

From: Michael Schutte <michi@debian.org>
To: 700119-close@bugs.debian.org
Subject: Bug#700119: fixed in kbd 1.15.5-1
Date: Sun, 17 Feb 2013 19:02:43 +0000
Source: kbd
Source-Version: 1.15.5-1

We believe that the bug you reported is fixed in the latest version of
kbd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700119@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Schutte <michi@debian.org> (supplier of updated kbd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 17 Feb 2013 19:37:26 +0100
Source: kbd
Binary: kbd kbd-udeb
Architecture: source amd64
Version: 1.15.5-1
Distribution: unstable
Urgency: low
Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Changed-By: Michael Schutte <michi@debian.org>
Description: 
 kbd        - Linux console font and keytable utilities
 kbd-udeb   - Linux console keyboard setup utilities (udeb)
Closes: 692014 694169 700119
Changes: 
 kbd (1.15.5-1) unstable; urgency=low
 .
   * New upstream release.
     - Drop the loadkeys_stdin patch introduced in 1.15.3-2 (included in this
       version).
     - The kbd tarball now ships with a basic implementation of vlock.  This
       program will not be included in the binary package.
     - resizecons is now built and installed on amd64, closes: #692014.  Also
       amend the manpages patch to explain the program’s absence on
       non-x86[_64] architectures in resizecons.8.
     - Build the Spanish messages again (dropped in 1.15.3-1).
   * Treat src/loadkeys.analyze.h (generated by flex, but also shipped in the
     orig tarball) specially in debian/rules so the clean target functions
     properly and the package can be built twice in a row.
   * Use dh-autoreconf to regenerate config.guess and config.sub during the
     build process, closes: #700119.  This introduces new build-deps on
     dh-autoreconf and autopoint and removes the explicit dependencies on
     autoconf and automake.  Thanks to Colin Watson <cjwatson@ubuntu.com> for
     the hint.
   * Update the source URL and the years of publication in debian/copyright and
     add a paragraph for the added vlock code.
   * New patch loadkeys_flex_stack, taken from upstream Git: Fix a regression
     in loadkeys.analyze.l which causes some keymap files to fail to load.
   * New patch dead2 by Samuel Thibault <sthibault@debian.org> to support
     KT_DEAD2 diacritics in loadkeys and dumpkeys, closes: #694169.  Thank you
     for the patch, Samuel!
   * Drop the “Skipping font and keymap setup” message from /etc/init.d/kbd
     because it’s really somewhat silly to log what the script isn’t doing.
   * Use a canonical URL for the Vcs-Git: field.
   * Bump Standards-Version: to 3.9.4, no changes necessary.
Checksums-Sha1: 
 b8fd7da04baae609f026ebcd1ecc1b97a8d5cf3e 1660 kbd_1.15.5-1.dsc
 f5e29dcf55e1fb37864fb1a125e90b357e438fba 1730719 kbd_1.15.5.orig.tar.gz
 ab8ef6637fd8a7488546d632f6bbbdcb10bd1672 36925 kbd_1.15.5-1.debian.tar.gz
 4efaf4553b0f8872552af64888df08ca9f559611 485130 kbd_1.15.5-1_amd64.deb
 9d8c10bbf2cda23099b97b386cb8ea1041a31df5 41166 kbd-udeb_1.15.5-1_amd64.udeb
Checksums-Sha256: 
 5375135003ee914ea3c5ef81a9f4e46ef9a1aa813da412bdc38c23cc996f3f63 1660 kbd_1.15.5-1.dsc
 e35fa29f690dbbfb721706b2c8edc760c697640904fec65e81194ae8840c5c62 1730719 kbd_1.15.5.orig.tar.gz
 98323642706f589ad2f2bf3ef0a933a24d433156dc0b3e6efdb8010561a0ab18 36925 kbd_1.15.5-1.debian.tar.gz
 e217cd6b03bd08972da844c924d87ca34c7858efc0f79ee7c2299190814d9828 485130 kbd_1.15.5-1_amd64.deb
 0cf362a29355cf15e7a1ec0ca3f38acd85f8875610bdc44fc83f9d425a3ad638 41166 kbd-udeb_1.15.5-1_amd64.udeb
Files: 
 43f3a1c96ab381bb84220c22a2e1efa9 1660 utils optional kbd_1.15.5-1.dsc
 34c71feead8ab9c01ec638acea8cd877 1730719 utils optional kbd_1.15.5.orig.tar.gz
 79286aefa28e75cae1ee8f143aab5a7a 36925 utils optional kbd_1.15.5-1.debian.tar.gz
 cd589e35d2fa887e96f0a9f44eb6a381 485130 utils optional kbd_1.15.5-1_amd64.deb
 ec8f85d7f21f4048e925877bfbc9bc35 41166 debian-installer optional kbd-udeb_1.15.5-1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRISZTAAoJEPPkEi8djCYaR68IAJPXiwj8GWJi3nmWTU1Iz2G1
MgBkllpaHYB2YMiQWWQ56uIzN8EUGu5C0kpZGgWCDMcIki3/gmtBZvylBrAX5uqZ
EKmjM28LvIWdcDAE8s2mAh3xJxJdQ50fntom4yBPuORYzQndqHQSo3rfAZ22wytU
dq6m1+7CyOolryPBr8/fAVUksltKZtICqxGjuxwaVC/nq1tz+NLVe8XtMB/latRZ
W1C1iZ6QuSVBxTsWj8QJVXagT+uVIX0OA3dipRp8V6dyIi/TC8u8VYGaKOVgsCaX
tqDLIrEBzrSX2I6f+WRRerArQTdNUT8uGSAZK3vFVQIuZz6mu6Fy6Gr10UlWpwI=
=CKXu
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jun 2013 07:28:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:32:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.